<?php

//---------------------------------------------
//load gallery settings
//---------------------------------------------
    
if (file_exists('gallery/3dgallery.xml'))
{
    $xml = simplexml_load_file('gallery/3dgallery.xml');
}
else
{
    die('settings file is missing');
}

// make sure attributes are set correctly
$xml->Images['Content1HTML'] = 'true';
$xml->Images['Content2HTML'] = 'true';

//---------------------------------------------
//hardcoded sample entries
//---------------------------------------------

$colors = Array(
  '#FFAF2C', '#0059EC', '#35CC05', '#F02E10', '#F5F7FC',
  '#493C3C', '#F7C200', '#FE3622', '#0B4BCA', '#76CB1C',
  '#484848', '#B01919', '#FB971B', '#BD0D0D', '#AA7A39',
  '#7FCD19', '#2B63CD', '#FA9114', '#1074AE', '#669933'
  );

// load 20 images
for ($i = 0; $i < 20; $i++) {      
  $image[$i] = Array(
    'ImagePath' 			=>		'gallery/images/img'. (($i < 10) ? '0'.$i : $i) .'.png',
    'ImageLink'				=>		'http://www.3dcarousel.com',
    'ImageLinkTarget' =>		'_blank',
    'Content1'				=>		"<img src='gallery/images/img". (($i < 10) ? '0'.$i : $i) .".png' width='64' height='64' hspace='0' vspace='0' />",
    'Content2'				=>		"<font color='$colors[$i]' size='11'><b>Lorem ipsum</b> eum veniam volutpat temporibus at, ludus solet vix magna omnis. Duo unum possit at, vel ex autem illud vitae, est ut deleniti electram repudiare.<br>An luptatum neglegentur eam, et vis cibo posse probatus, cu solum aliquando sit. Has ne postea quaeque, dolorum consequat pri eu. Ullum praesent suscipiantur te eos, impetus albucius.</font>"
    );
}

// static content 1
$static[0] = Array(
  'Attributes'  =>  Array(
          'HTML'          =>  'true',
          'AntiAliasing'  =>  'false',
          'Align'         =>  'left',
          'Bold'          =>  'false',
          'Italic'        =>  'false',
          'Font'          =>  'Verdana',
          'FontColor'     =>  '#000000',
          'FontSize'      =>  '11',
          'Leading'       =>  '0',
          'Underline'     =>  'false',
          'Left'          =>  '10',
          'Top'           =>  '225',
          'Width'         =>  '200',
          'Height'        =>  '30',
          'TopMost'       =>  'true',
          'BgColor'       =>  '',
          'Border'        =>  'false',
          'BorderColor'   =>  '#ffffff'
      ),
  'Content'     =>  "<font color='#bc0000' size='16'>mediaANT 3DGallery</font>"
  );
  
  // static content 2
$static[1] = Array(
  'Attributes'  =>  Array(
          'HTML'          =>  'true',
          'AntiAliasing'  =>  'false',
          'Align'         =>  'left',
          'Bold'          =>  'false',
          'Italic'        =>  'false',
          'Font'          =>  'Verdana',
          'FontColor'     =>  '#000000',
          'FontSize'      =>  '11',
          'Leading'       =>  '0',
          'Underline'     =>  'false',
          'Left'          =>  '600',
          'Top'           =>  '225',
          'Width'         =>  '200',
          'Height'        =>  '50',
          'TopMost'       =>  'true',
          'BgColor'       =>  '',
          'Border'        =>  'false',
          'BorderColor'   =>  '#ffffff'
      ),
  'Content'     =>  "<font color='#bc0000' size='16'>PHP Sample 3</font>"
  );

// hardcoded sample entries - END

foreach ($image as $entry)
{
	$tag = $xml->Images->addChild('Image');
	foreach ($entry as $key => $value)
	{
		$tag->addChild($key, '<![CDATA['.htmlentities($value).']]>');
	}
}

foreach ($static as $entry)
{
	$tag = $xml->StaticContents->addChild('StaticContent');
	
	foreach ($entry['Attributes'] as $a_key => $a_value)
	{
    $tag->addAttribute($a_key, $a_value);
	}
	
	$tag->addChild('Content', '<![CDATA['.htmlentities($entry['Content']).']]>');
}

print_r(html_entity_decode($xml->asXML()));

?>